Hi there,

To quote Thomas Lotze in another discussion:

 > [ztk.cfg] contains a line

 > allow-picked-versions = false

 > which makes buildout complain if it ends up using a package whose
 > version it had to pick from the index, so you're required to specify a
 > version for every package used by any part of the buildout. This line
 > is a piece of policy that I'd like to see gone from ztk.cfg as well;
 > if someone wants the behaviour, they can specify it in their
 > buildout.cfg.

I agree with Thomas that we should remove this from ztk.cfg, as if we 
publish this for reuse we don't want to impose this policy on everybody 
who builds on it.

The question though is why this is in there in the first place. 
Presumably it is to ensure that the *ZTK* locks down all versions. I 
think we can reasonably ensure this by moving the 
'allow-picked-versions' to the ZTK's "buildout.cfg" instead, right?



Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to